Skip to main content
GET
/
v1
/
custom-voices
/
search
Search custom (cloned) voices
curl --request GET \
  --url https://supertoneapi.com/v1/custom-voices/search \
  --header 'x-sup-api-key: <api-key>'
{
  "items": [
    {
      "voice_id": "voice_123456789",
      "name": "My Custom Voice",
      "description": "A warm and friendly voice for customer service"
    }
  ],
  "total": 25,
  "next_page_token": "10"
}
このドキュメントは英語の原文から自動翻訳されています。表現に不自然な箇所がある場合があります。正確な内容は英語の原文もあわせてご確認ください。
アカウント上のカスタムボイスのうち、指定したフィルタに一致するものを返します。

エンドポイント

GET https://supertoneapi.com/v1/custom-voices/search

クエリパラメータ

NameDescriptionExample
nameボイス名の部分一致です。narrator
description説明文の部分一致です。kind and gentle
page_size1 ページあたりの件数です。デフォルト 20、最大 10050
next_page_token前回のレスポンスから取得したトークンです。eyJpZCI6IjEyMzQ1In0=

レスポンス

カスタムボイスオブジェクトの items 配列と、オプショナルな next_page_token を返します。

関連項目

Docs: Custom voices

作成、一覧、検索、更新、削除までのライフサイクル全体。

List custom voices

絞り込みなしですべてのカスタムボイスを取得します。

Authorizations

x-sup-api-key
string
header
required

Query Parameters

page_size
number

Number of items per page (default: 20, min: 10, max: 100)

next_page_token
string

Token for pagination (obtained from the previous page's response)

name
string

Search across name. Space separated.

description
string

Search across description. Space separated.

Response

Paginated custom voices search response with next page token

items
object[]
required

List of custom voice items

total
number
required

Total number of available custom voices

Example:

25

next_page_token
string

Token for fetching the next page of results. A valid non-negative integer string (e.g., "10", "20"). Null if no more pages.

Example:

"10"